#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <linux/input.h>

int
main (void)
{
  struct input_event ev;
  int size = sizeof(ev);
  int fd;

  fd = open ("/dev/input/event1", O_RDONLY);
  if (fd < 0)
    {
      printf ("Open /dev/input/event1 failed!\n");
      return EXIT_FAILURE;
    }

  while (1)
    {
      if (read(fd, &ev, size) < size)
        {
            printf ("Reading from /dev/input/event1 failed!\n");
            goto exit;
        }

      if (ev.type == EV_KEY)
        {
          if (ev.code == KEY_DOWN)
            ev.value ? printf ("KEY_DOWN: release\n") : printf ("KEY_DOWN: press\n");
          else if (ev.code == KEY_UP)
            ev.value ? printf ("KEY_UP: release\n") : printf ("KEY_UP: press\n");
          else
            puts ("WTF?!");

        } /* ev_key */
    } /* while */

exit:
  close (fd);
  return EXIT_FAILURE;
}
