//import modules
var http = require ('http');
var fs = require ('fs');

//read index.html
var index = fs.readFileSync (__dirname + '/index.html');

//define PORT to listen to
var PORT = 8080;

//create server and pass callback
var server = http.createServer (function handler (request, response) {
  response.writeHead (200, {'Content-Type': 'text/html'});
  response.end (index);
});

//socket.io server is listening
var io = require ('socket.io').listen(server);

//inform about new connections
io.on ('connection', function (socket) {
  console.log ('We have new connection!');
});

//send current time to all connected clients
function send_time() {
  io.emit ('time', {message: new Date().toISOString()});
}
setInterval (send_time, 1000);

//listen connections on PORT
server.listen (PORT);
