//import modules
var http = require ('http');
var fs = require ('fs');
var spawn = require('child_process').spawn;

//read index.html
var index = fs.readFileSync (__dirname + '/index.html');

//define PORT to listen to
var PORT = 8080;

//create server and pass callback
var server = http.createServer (function handler (request, response) {
  response.writeHead (200, {'Content-Type': 'text/html'});
  response.end (index);
});

//socket.io server is listening
var io = require ('socket.io').listen(server);

//inform about new connections
io.on ('connection', function (socket) {
  console.log ('We have new connection!');
});

//spawn new process
var child = spawn ('/tmp/gyro-i2c');

child.stdout.on ('data', function (data) {
  io.emit ('xyz', {message: data.toString().split('\n')[0]});
});

child.stderr.on ('data', function (data) {
  console.log ('stderr: ' + data);
});

child.on ('close', function (code) {
  console.log ('exit: ' + code);
});

//listen connections on PORT
server.listen (PORT);
