var http = require ('http');
var fs = require ('fs');
var gpio = require('onoff').Gpio;

var led0 = new gpio(504, 'out');
var led1 = new gpio(505, 'out');
var led2 = new gpio(506, 'out');
var led3 = new gpio(507, 'out');
var led4 = new gpio(508, 'out');
var led5 = new gpio(509, 'out');
var led6 = new gpio(510, 'out');
var led7 = new gpio(511, 'out');

var btn0 = new gpio(3, 'in', 'both');
var btn1 = new gpio(4, 'in', 'both');

var index = fs.readFileSync (__dirname + '/index.html');

var PORT = 8080;

var server = http.createServer (function handler (request, response) {
  response.writeHead (200, {'Content-Type': 'text/html'});
  response.end (index);
});

var io = require ('socket.io').listen(server);

io.on ('connection', function (socket) {

  socket.on('led0', function(data) { led0.writeSync(data); });
  socket.on('led1', function(data) { led1.writeSync(data); });
  socket.on('led2', function(data) { led2.writeSync(data); });
  socket.on('led3', function(data) { led3.writeSync(data); });
  socket.on('led4', function(data) { led4.writeSync(data); });
  socket.on('led5', function(data) { led5.writeSync(data); });
  socket.on('led6', function(data) { led6.writeSync(data); });
  socket.on('led7', function(data) { led7.writeSync(data); });

});

btn0.watch(function (err, value) {
  io.emit ('btn0', value);
});

btn1.watch(function (err, value) {
  io.emit ('btn1', value);
});

server.listen (PORT);
